org.fourthline.cling.support.model.dlna.types

## Class AvailableSeekRangeType

- java.lang.Object
- - org.fourthline.cling.support.model.dlna.types.AvailableSeekRangeType

-     public class AvailableSeekRangeType
      extends Object

  Author:
    Mario Franco

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AvailableSeekRangeType.Mode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag, BytesRange byteRange)`
    `AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag, NormalPlayTimeRange nptRange)`
    `AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag, NormalPlayTimeRange nptRange, BytesRange byteRange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRange` | `getBytesRange()`
    `AvailableSeekRangeType.Mode` | `getModeFlag()`
    `NormalPlayTimeRange` | `getNormalPlayTimeRange()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvailableSeekRangeType

          public AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag,
                                        NormalPlayTimeRange nptRange)

    - #### AvailableSeekRangeType

          public AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag,
                                        BytesRange byteRange)

    - #### AvailableSeekRangeType

          public AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag,
                                        NormalPlayTimeRange nptRange,
                                        BytesRange byteRange)

  - ### Method Detail

    - #### getNormalPlayTimeRange

          public NormalPlayTimeRange getNormalPlayTimeRange()

      Returns:
        the normalPlayTimeRange

    - #### getBytesRange

          public BytesRange getBytesRange()

      Returns:
        the bytesRange

    - #### getModeFlag

          public AvailableSeekRangeType.Mode getModeFlag()

      Returns:
        the modeFlag

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.